
Figure - Bug #116456
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT3】【控制中心】“使用屏保”开关关闭的情况下，点击控制中心中的“屏保模式”按钮后有概
率不进入屏保【1/20】
2023-02-22 16:24 - CD Test赵飞

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-06

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Reproducibility: Occasionally Fixed Version: 2023-03-06

Test Type: ST Root cause: 当设置中关闭屏保时，SettingsProvider中的屏保使用状态为关闭，使用快捷设置的屏保时，会把屏保状态打开，然后调用DreamManager进入屏保，powermanagerservice中会对屏保状态进行判断,如果屏保状态为关闭，则不进入屏保，设置屏保状态后立即进入屏保有概率屏保状态还未保存，但是powermanagerservice却已执行屏保动作导致进入屏保失败。��解决方案：��设置快捷设置屏保一个observer监听屏保状态，屏保状态切换成功后再调用DreamManager进入屏保

Description

【前提条件】

1、设备已开机

2、设置 - 显示 - 屏保中，“使用屏保”开关为关闭状态

【测试步骤】

1、进入控制中心

2、点击“屏保模式”按钮

【预期结果】

2、正常进入屏保模式

【实际结果】

2、点击控制中心中的“屏保模式”按钮后有概率不进入屏保

【日志】

见附件

History

#1 - 2023-02-22 20:44 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-02-24 13:52 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#3 - 2023-02-28 10:20 - CD FW-程天颖

正在尝试复现bug

#4 - 2023-02-28 13:50 - CD FW 曹覃刚

- Due date set to 2023-03-06
#5 - 2023-02-28 14:35 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#6 - 2023-03-03 16:16 - CD FW-程天颖

- Root cause set to 当设置中关闭屏保时，SettingsProvider中的屏保使用状态为关闭，使用快捷设置的屏保时，会把屏保状态打开，然后调用DreamManager

进入屏保，powermanagerservice中会对屏保状态进行判断,如果屏保状态为关闭，则不进入屏保，设置屏保状态后立即进入屏保有概率屏保状态还未保存

，但是powermanagerservice却已执行屏保动作导致进入屏保失败。

解决方案：

设置快捷设置屏保一个observer监听屏保状态，屏保状态切换成功后再调用DreamManager进入屏保

■ Current conclusion

代码已提交

■ My analysis

当设置中关闭屏保时，SettingsProvider中的屏保使用状态为关闭，使用快捷设置的屏保时，会把屏保状态打开，然后调用DreamManager进入屏保

，powermanagerservice中会对屏保状态进行判断,如果屏保状态为关闭，则不进入屏保，设置屏保状态后立即进入屏保有概率屏保状态还未保存，但

是powermanagerservice却已执行屏保动作导致进入屏保失败。

解决方案：

设置快捷设置屏保一个observer监听屏保状态，屏保状态切换成功后再调用DreamManager进入屏保

■ Next action

代码入库

#7 - 2023-03-06 15:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185653 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:QuickSettings: When ScreenSaver enable false do dream maybe failedTC-RID: 1201-0201903IssueID: TS-R-BUG-116456Change-Id:

I8c3a50d2cce564c6f1678751db0bee7982b2086d

#8 - 2023-03-06 17:53 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-06

■ Current conclusion

代码已入库

■ My analysis

当设置中关闭屏保时，SettingsProvider中的屏保使用状态为关闭，使用快捷设置的屏保时，会把屏保状态打开，然后调用DreamManager进入屏保

，powermanagerservice中会对屏保状态进行判断,如果屏保状态为关闭，则不进入屏保，设置屏保状态后立即进入屏保有概率屏保状态还未保存，但

是powermanagerservice却已执行屏保动作导致进入屏保失败。

解决方案：

设置快捷设置屏保一个observer监听屏保状态，屏保状态切换成功后再调用DreamManager进入屏保

■ Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/185653

#9 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#10 - 2023-03-13 14:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

3.13

200次内未复现不能进入屏保的情况

验证通过

#11 - 2023-03-13 14:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 3.34 MB 2023-02-22 CD Test赵飞
